1. narendravnr's Avatar
    the game,subway surfers says..
    "REQUIRES ANDROID
    2.3.3 AND UP"

    the "ABOUT PHONE" section in my "SAMSUNG GALAXY Y DUOS" shows 2.3.6

    But still the game is incompatible for my device..why is it so..??
    03-17-2013 06:40 AM
  2. RazrMaxx1345's Avatar
    I'm going to go out on a limb here and say that maybe they really meant 2.3 and up. Meaning that you need ice cream sandwich and not gingerbread as a whole. They probably said 2.3.3 fighting that was the last update to gingerbread even though it obviously isn't
    Just a thought... you could email the developer and ask.

    Sent from my DROID RAZR using Android Central Forums
    03-17-2013 08:14 AM
  3. trunks527's Avatar
    It's probably your phone specs. I had an htc aria running on jellybean and it couldn't play temple run. Mind you the aria was never supposed to get jellybean but the hardware couldn't support temple run.

    Sent from my Galaxy Nexus using Tapatalk 2
    03-17-2013 09:16 AM
  4. tmeta's Avatar
    another possibility. The game may require addition feature and your phone does not have. For example, it might require a screen with at least 480x800 resolution.
    03-19-2013 07:13 AM

Similar Threads

  1. Replies: 4
    Last Post: 11-09-2012, 11:58 PM
  2. Why is my Facebook app taking up so much memory?!
    By whitenack in forum Android Apps
    Replies: 1
    Last Post: 02-25-2011, 09:47 AM
  3. Why is my Epic slow?
    By arwild01 in forum Sprint Epic 4G
    Replies: 25
    Last Post: 01-25-2011, 09:52 AM
  4. Why is my EVO not seeing the update?
    By clavodulce16 in forum HTC EVO 4G
    Replies: 0
    Last Post: 07-01-2010, 10:18 PM
  5. Why is my Evo 4G Lagging like it's a Droid Eris?
    By crossover37#AC in forum HTC EVO 4G
    Replies: 11
    Last Post: 06-15-2010, 10:23 AM
LINK TO POST COPIED TO CLIPBOARD